#!/bin/bash

# <Dock>
# Autohide enabled
defaults write com.apple.dock "autohide" -bool "true" #&& killall Dock

# hide/show faster
defaults write com.apple.dock "autohide-delay" -float "0" #&& killall Dock

# Show only active applications
defaults write com.apple.dock "static-only" -bool "false" #&& killall Dock

# <Workspaces>
# Enable auto-switch to most recent app
defaults write com.apple.dock workspaces-auto-swoosh -bool YES #&& killall Dock

# Save in JPEG
defaults write com.apple.screencapture "type" -string "jpg"

# <Screenshots>
# Set default location
defaults write com.apple.screencapture "location" -string "$HOME/Desktop/Screenshots" && killall SystemUIServer

# <Finder>
# Show path bar
defaults write com.apple.finder "ShowPathbar" -bool "true" #&& killall Finder

# Show status bar
defaults write com.apple.finder ShowStatusBar -bool true #&& killall Finder

# Default view to columns
defaults write com.apple.finder "FXPreferredViewStyle" -string "clmv" #&& killall Finder

# Default search the current folder
defaults write com.apple.finder "FXDefaultSearchScope" -string "SCcf" #&& killall Finder

# Automatically delete old trash items
defaults write com.apple.finder "FXRemoveOldTrashItems" -bool "true" #&& killall Finder

# Disable file extension rename warning
defaults write com.apple.finder "FXEnableExtensionChangeWarning" -bool "true" #&& killall Finder

# Default save location to $HOME dir
defaults write NSGlobalDomain "NSDocumentSaveNewDocumentsToCloud" -bool "false"

# Show icons in the title bar
defaults write com.apple.universalaccess "showWindowTitlebarIcons" -bool "true" #&& killall Finder

# Hide internal disks on desktop
defaults write com.apple.finder "ShowHardDrivesOnDesktop" -bool "false" #&& killall Finder

# Show external disks on desktop
defaults write com.apple.finder "ShowExternalHardDrivesOnDesktop" -bool "true" #&& killall Finder

# Show removable media on desktop
defaults write com.apple.finder "ShowRemovableMediaOnDesktop" -bool "false" #&& killall Finder

# Show connected servers on desktop
defaults write com.apple.finder "ShowMountedServersOnDesktop" -bool "true" #&& killall Finder

# <Mouse>
# Disable natural scrolling
defaults write -g com.apple.swipescrolldirection -bool NO #&& killall SystemUIServer

# <Keyboard>
# Repeat characters on key hold
defaults write NSGlobalDomain "ApplePressAndHoldEnabled" -bool "false"

# <Time machine>
# Don't offer disks for backup
defaults write com.apple.TimeMachine "DoNotOfferNewDisksForBackup" -bool "false"

# <Music>
# Disable notifications for playing songs
defaults write com.apple.Music "userWantsPlaybackNotifications" -bool "false" #&& killall Music

# <Kill>
killall Dock 2> /dev/null
killall SystemUIServer 2> /dev/null
killall Finder 2> /dev/null
killall Music 2> /dev/null
