local overrides = require("custom.configs.overrides")
-- local auto_dark_mode = require("custom.configs.auto-dark-mode")

---@type NvPluginSpec[]
local plugins = {

  -- Override plugin definition options

  {
    "neovim/nvim-lspconfig",
    config = function()
      require "plugins.configs.lspconfig"
      require "custom.configs.lspconfig"
    end, -- Override to setup mason-lspconfig
  },

  -- override plugin configs
  {
    "williamboman/mason.nvim",
    opts = overrides.mason
  },

  {
    "nvimtools/none-ls.nvim",
    ft = "go",
    opts = function ()
      return require "custom.configs.none-ls"
    end
  },

  {
    "nvim-treesitter/nvim-treesitter",
    opts = overrides.treesitter,
  },

  {
    "nvim-tree/nvim-tree.lua",
    opts = overrides.nvimtree,
  },

  {
    "zbirenbaum/copilot.lua",
    lazy = false,
    enabled = true,
    config = true,
    opts = function ()
      return require "custom.configs.copilot"
    end,
  },

  -- Install a plugin
  -- {
  --   "max397574/better-escape.nvim",
  --   event = "InsertEnter",
  --   config = function()
  --     require("better_escape").setup()
  --   end,
  -- },
  --
  -- {
  --   "stevearc/conform.nvim",
  --   --  for users those who want auto-save conform + lazyloading!
  --   -- event = "BufWritePre"
  --   config = function()
  --     require "custom.configs.conform"
  --   end,
  -- },
  --
  -- To make a plugin not be loaded
  -- {
  --   "NvChad/nvim-colorizer.lua",
  --   enabled = false
  -- },

  -- All NvChad plugins are lazy-loaded by default
  -- For a plugin to be loaded, you will need to set either `ft`, `cmd`, `keys`, `event`, or set `lazy = false`
  -- If you want a plugin to load on startup, add `lazy = false` to a plugin spec, for example
  -- {
  --   "mg979/vim-visual-multi",
  --   lazy = false,
  -- }
  --

  {
    "NeogitOrg/neogit",
    enabled = true,
    lazy = false,
    dependencies = {
      "nvim-lua/plenary.nvim",

      "sindrets/diffview.nvim", -- optional - Diff integration

      "nvim-telescope/telescope.nvim", -- optional
    },
    opts = function (_, opts)
      opts.kind = "auto"
    end,
    config = true
  },
  --
  -- {
  --   "folke/trouble.nvim",
  --   lazy = false,
  --   dependencies = { "nvim-tree/nvim-web-devicons" },
  --   opts = {
  --     -- your configuration comes here
  --     -- or leave it empty to use the default settings
  --     -- refer to the configuration section below
  --    },
  --   }

  -- {
  --   "f-person/auto-dark-mode.nvim",
  --   lazy = false,
  --   enabled = true,
  --   config = {
  --     update_interval = 1000,
  --     set_dark_mode = function()
  --       vim.api.nvim_set_option("background", "dark")
  --       -- vim.cmd("colorscheme gruvbox")
  --       local M = require("base46")
  --       M.override_theme(M, auto_dark_mode.dark_theme)
  --     end,
  --     set_light_mode = function()
  --       vim.api.nvim_set_option("background", "light")
  --       -- vim.cmd("colorscheme gruvbox")
  --       local M = require("base46")
  --       M.override_theme(auto_dark_mode.light_theme)
  --    end,
  --   },
  -- }
}

return plugins
